# NVOcclusionQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVOcclusionQuery

    java.lang.Object
      org.lwjgl.opengl.NVOcclusionQuery

    public final class NVOcclusionQuery

extends java.lang.Object

Field Summary
`static int` `GL_CURRENT_OCCLUSION_QUERY_ID_NV`
`static int` `GL_OCCLUSION_TEST_HP`
`static int` `GL_OCCLUSION_TEST_RESULT_HP`
`static int` `GL_PIXEL_COUNT_AVAILABLE_NV`
`static int` `GL_PIXEL_COUNT_NV`
`static int` `GL_PIXEL_COUNTER_BITS_NV`

Method Summary
`static void` `glBeginOcclusionQueryNV(int id)`
`static void` `glDeleteOcclusionQueriesNV(int piID)` Overloads glDeleteOcclusionQueriesNV.
`static void` `glDeleteOcclusionQueriesNV(java.nio.IntBuffer piIDs)`
`static void` `glEndOcclusionQueryNV()`
`static int` `glGenOcclusionQueriesNV()` Overloads glGenOcclusionQueriesNV.
`static void` `glGenOcclusionQueriesNV(java.nio.IntBuffer piIDs)`
`static int` `glGetOcclusionQueryiNV(int id, int pname)` Overloads glGetOcclusionQueryivNV.
`static void` `glGetOcclusionQueryNV(int id, int pname, java.nio.IntBuffer params)`
`static int` `glGetOcclusionQueryuiNV(int id, int pname)` Overloads glGetOcclusionQueryuivNV.
`static void` `glGetOcclusionQueryuNV(int id, int pname, java.nio.IntBuffer params)`
`static boolean` `glIsOcclusionQueryNV(int id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_OCCLUSION_TEST_HP

    public static final int GL_OCCLUSION_TEST_HP

See Also:
  Constant Field Values

### GL_OCCLUSION_TEST_RESULT_HP

    public static final int GL_OCCLUSION_TEST_RESULT_HP

See Also:
  Constant Field Values

### GL_PIXEL_COUNTER_BITS_NV

    public static final int GL_PIXEL_COUNTER_BITS_NV

See Also:
  Constant Field Values

### GL_CURRENT_OCCLUSION_QUERY_ID_NV

    public static final int GL_CURRENT_OCCLUSION_QUERY_ID_NV

See Also:
  Constant Field Values

### GL_PIXEL_COUNT_NV

    public static final int GL_PIXEL_COUNT_NV

See Also:
  Constant Field Values

### GL_PIXEL_COUNT_AVAILABLE_NV

    public static final int GL_PIXEL_COUNT_AVAILABLE_NV

See Also:
  Constant Field Values

Method Detail

### glGenOcclusionQueriesNV

    public static void glGenOcclusionQueriesNV(java.nio.IntBuffer piIDs)

### glGenOcclusionQueriesNV

    public static int glGenOcclusionQueriesNV()

  Overloads glGenOcclusionQueriesNV.

### glDeleteOcclusionQueriesNV

    public static void glDeleteOcclusionQueriesNV(java.nio.IntBuffer piIDs)

### glDeleteOcclusionQueriesNV

    public static void glDeleteOcclusionQueriesNV(int piID)

  Overloads glDeleteOcclusionQueriesNV.

### glIsOcclusionQueryNV

    public static boolean glIsOcclusionQueryNV(int id)

### glBeginOcclusionQueryNV

    public static void glBeginOcclusionQueryNV(int id)

### glEndOcclusionQueryNV

    public static void glEndOcclusionQueryNV()

### glGetOcclusionQueryuNV

    public static void glGetOcclusionQueryuNV(int id,
                                              int pname,
                                              java.nio.IntBuffer params)

### glGetOcclusionQueryuiNV

    public static int glGetOcclusionQueryuiNV(int id,
                                              int pname)

  Overloads glGetOcclusionQueryuivNV.

### glGetOcclusionQueryNV

    public static void glGetOcclusionQueryNV(int id,
                                             int pname,
                                             java.nio.IntBuffer params)

### glGetOcclusionQueryiNV

    public static int glGetOcclusionQueryiNV(int id,
                                             int pname)

  Overloads glGetOcclusionQueryivNV.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.